Next Previous Up Contents
Next: Times
Up: Functions
Previous: Strings

#### 10.7.20 Tilings

Pixel tiling functions for the celestial sphere.

The `k` parameter for the HEALPix functions is the HEALPix order, which can be in the range 0<=k<=29. This is the logarithm to base 2 of the HEALPix NSIDE parameter. At order `k`, there are 12*4^k pixels on the sphere.

`htmIndex( level, lon, lat )`
  Gives the HTM (Hierachical Triangular Mesh) pixel index for a given sky position.

  - Parameters:
    - `level` (integer): HTM level
    - `lon` (floating point): longitude in degrees
    - `lat` (floating point): latitude in degrees
  - Return value
    - (long integer): pixel index
  - See Also:
    - HTM web site
`healpixNestIndex( k, lon, lat )`
  Gives the pixel index for a given sky position in the HEALPix NEST scheme.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
    - `lon` (floating point): longitude in degrees
    - `lat` (floating point): latitude in degrees
  - Return value
    - (long integer): pixel index
  - See Also:
    - HEALPix web site
`healpixRingIndex( k, lon, lat )`
  Gives the pixel index for a given sky position in the HEALPix RING scheme.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
    - `lon` (floating point): longitude in degrees
    - `lat` (floating point): latitude in degrees
  - Return value
    - (long integer): pixel index
  - See Also:
    - HEALPix web site
`healpixNestLon( k, index )`
  Returns the longitude of the approximate center of the tile with a given index in the HEALPix NEST scheme.

  Note: the `index` parameter is 0-based, unlike the table row index special token `$index` (a.k.a. `$0`), which is 1-based. So if the HEALpix index is implicitly determined by the table row, the value `$index-1` should be used.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
    - `index` (long integer): healpix index
  - Return value
    - (floating point): longitude in degrees
  - See Also:
    - HEALPix web site
`healpixNestLat( k, index )`
  Returns the latitude of the approximate center of the tile with a given index in the HEALPix NEST scheme.

  Note: the `index` parameter is 0-based, unlike the table row index special token `$index` (a.k.a. `$0`), which is 1-based. So if the HEALpix index is implicitly determined by the table row, the value `$index-1` should be used.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
    - `index` (long integer): healpix index
  - Return value
    - (floating point): latitude in degrees
  - See Also:
    - HEALPix web site
`healpixRingLon( k, index )`
  Returns the longitude of the approximate center of the tile with a given index in the HEALPix RING scheme.

  Note: the `index` parameter is 0-based, unlike the table row index special token `$index` (a.k.a. `$0`), which is 1-based. So if the HEALpix index is implicitly determined by the table row, the value `$index-1` should be used.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
    - `index` (long integer): healpix index
  - Return value
    - (floating point): longitude in degrees
  - See Also:
    - HEALPix web site
`healpixRingLat( k, index )`
  Returns the latitude of the approximate center of the tile with a given index in the HEALPix RING scheme.

  Note: the `index` parameter is 0-based, unlike the table row index special token `$index` (a.k.a. `$0`), which is 1-based. So if the HEALpix index is implicitly determined by the table row, the value `$index-1` should be used.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
    - `index` (long integer): healpix index
  - Return value
    - (floating point): latitude in degrees
  - See Also:
    - HEALPix web site
`healpixNestToRing( k, nestIndex )`
  Converts a healpix tile index from the NEST to the RING scheme at a given order.

  Note: the `nestIndex` parameter is 0-based, unlike the table row index special token `$index` (a.k.a. `$0`), which is 1-based. So if the HEALpix index is implicitly determined by the table row, the value `$index-1` should be used.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
    - `nestIndex` (long integer): pixel index in NEST scheme
  - Return value
    - (long integer): pixel index in RING scheme
  - See Also:
    - HEALPix web site
`healpixRingToNest( k, ringIndex )`
  Converts a healpix tile index from the RING to the NEST scheme at a given order.

  Note: the `ringIndex` parameter is 0-based, unlike the table row index special token `$index` (a.k.a. `$0`), which is 1-based. So if the HEALpix index is implicitly determined by the table row, the value `$index-1` should be used.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
    - `ringIndex` (long integer): pixel index in RING scheme
  - Return value
    - (long integer): pixel index in NEST scheme
  - See Also:
    - HEALPix web site
`healpixK( pixelsize )`
  Gives the HEALPix resolution parameter suitable for a given pixel size. This `k` value (also variously known as order, level, depth) is the logarithm to base 2 of the Nside parameter.

  - Parameters:
    - `pixelsize` (floating point): pixel size in degrees
  - Return value
    - (integer): HEALPix order `k`
  - See Also:
    - HEALPix web site
`healpixResolution( k )`
  Gives the approximate resolution in degrees for a given HEALPix resolution parameter `k` This `k` value is the logarithm to base 2 of the Nside parameter.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
  - Return value
    - (floating point): approximate angular resolution in degrees
`healpixSteradians( k )`
  Returns the solid angle in steradians of each HEALPix pixel at a given order.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
  - Return value
    - (floating point): pixel size in steradians
  - Examples:
    - `healpixSteradians(5) = 0.0010226538585904274`
    - `4*PI/healpixSteradians(0) = 12.0`
`healpixSqdeg( k )`
  Returns the solid angle in square degrees of each HEALPix pixel at a given order.

  - Parameters:
    - `k` (integer): HEALPix order (0..29)
  - Return value
    - (floating point): pixel size in steradians
  - Examples:
    - `healpixSqdeg(5) = 3.357174580844667`
    - `round(12 * healpixSqdeg(0)) = 41253`
`steradiansToSqdeg( sr )`
  Converts a solid angle from steradians to square degrees.

  The unit sphere is 4*PI steradians = 360*360/PI square degrees.

  - Parameters:
    - `sr` (floating point): quantity in steradians
  - Return value
    - (floating point): quantity in sqare degrees
  - Example:
    - `round(steradiansToSqdeg(4*PI)) = 41253`
`sqdegToSteradians( sqdeg )`
  Converts a solid angle from square degrees to steradians.

  The unit sphere is 4*PI steradians = 360*360/PI square degrees.

  - Parameters:
    - `sqdeg` (floating point): quantity in square degrees
  - Return value
    - (floating point): quantity in steradians
  - Example:
    - `round(sqdegToSteradians(41253)/PI) = 4`
`htmLevel( pixelsize )`
  Gives the HTM `level` parameter suitable for a given pixel size.

  - Parameters:
    - `pixelsize` (floating point): required resolution in degrees
  - Return value
    - (integer): HTM level parameter
`htmResolution( level )`
  Gives the approximate resolution in degrees for a given HTM depth level.

  - Parameters:
    - `level` (integer): HTM depth
  - Return value
    - (floating point): approximate angular resolution in degrees
`SQDEG`
  Solid angle in steradians corresponding to 1 square degree.

Next Previous Up Contents
Next: Times
Up: Functions
Previous: Strings

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk